#pragma once

#include "defs.hpp"

namespace game {

class Spawner
{
public:
    virtual int SpawnEnemies(Block *block, int difficult) = 0;

};

class SimplyEnemySpawner: public Spawner
{
public:
    virtual int SpawnEnemies(Block *block, int difficult);
};

class ShootingEnemySpawner: public Spawner
{
public:
    virtual int SpawnEnemies(Block *block, int difficult);
};

class ChaseEnemySpawner: public Spawner
{
public:
    virtual int SpawnEnemies(Block *block, int difficult);
};

}

